kaudiorecordstream.h
/*
Copyright (C) 2001,2002 Matthias Kretz
kretz@kde.org
2003 Arnold Krille
arnold@arnoldarts.de
This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.
This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Library General Public License for more details.
You should have received a copy of the GNU Library General Public License
along with this library; see the file COPYING.LIB. If not, write to
the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
Boston, MA 02110-1301, USA.
*/
#ifndef _KAUDIORECORDSTREAM__H
#define _KAUDIORECORDSTREAM__H
#include <qobject.h>
#include <kdelibs_export.h>
class KArtsServer;
namespace Arts { class StereoEffectStack; }
class KDE_ARTS_EXPORT KAudioRecordStream : public QObject
{
Q_OBJECT
public:
KAudioRecordStream( KArtsServer * server, const QString & title, QObject * parent = 0, const char * name = 0 );
~KAudioRecordStream();
int read( char *, int size );
void setBlockingIO( bool );
bool blockingIO() const;
void usePolling( bool );
bool polling() const;
Arts::StereoEffectStack effectStack() const;
bool running() const;
public slots:
void stop();
void start( int samplingRate, int bits, int channels );
void flush();
signals:
void data( QByteArray & data );
void running( bool );
private slots:
void slotRestartedServer();
void slotData( const char *, unsigned int );
private:
KAudioRecordStream( const KAudioRecordStream & );
KAudioRecordStream & operator=( const KAudioRecordStream & );
struct Data;
Data * d;
};
#endif //_KAUDIORECORDSTREAM__H
flush
kndbgstream & flush(kndbgstream &s)
KArtsServer
KArtsServer is a wrapper to conveniently get a reference to a SoundServer, and restart artsd when nec...
Definition: kartsserver.h:37
KAudioRecordStream
A KDE wrapper around Synth_AMAN_RECORD/AudioToByteStream/ByteSoundReceiver.
Definition: kaudiorecordstream.h:41

KDE Home | KDE Accessibility Home | Description of Access Keys